Download

(39) Rama's Extra Blueprint Nodes for You as a Plugin, No C++ Required!

I’ve cleared my cache, ctrl+F5’d, opened it in a different browser, in a canadian proxy and on my phone. The file simply is not there for me, even when I’m logged in. How is that even possible when it shows up for you guys? :s

Can someone that can see it upload it elsewhere for us? We’d greatly appreciate it :slight_smile: although it seems to not be working for GDShadow.

EDIT: Found something in the file revisions. Trying it now, here’s the direct download link: https://d26ilriwvtzlb.cloudfront.net/a/a4/VictoryPlugin.zip
EDIT2: Editor is stuck loading at 94% and is currently taking up 5GB of RAM. This will be interesting.
EDIT3: After about 10 minutes of loading, it worked! Hopefully we figure out why some people aren’t seeing the latest version.

Ok hes right the version on the wiki is the old version, or doesnt run in 4.8. I had to do the same fixes.

Heres the output from the june10th downloaded plugin



1>------ Rebuild All started: Project: Continuity, Configuration: Development_Editor x64 ------
1>  Cleaning ContinuityEditor Binaries...
1>  Parsing headers for ContinuityEditor
1>  F:/Continuity Latest 48/Plugins/OceanPlugin/Source/OceanPlugin/Classes/CustomVehicleController.h(28) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  F:/Continuity Latest 48/Plugins/VictoryPlugin/Source/VictoryBPLibrary/Classes/VictoryBPFunctionLibrary.h(974) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  F:/Continuity Latest 48/Plugins/VictoryPlugin/Source/VictoryBPLibrary/Classes/VictoryBPFunctionLibrary.h(1201) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  F:/Continuity Latest 48/Plugins/VictoryPlugin/Source/VictoryBPLibrary/Public/VictoryGameMode.h(36) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  F:/Continuity Latest 48/Plugins/VictoryPlugin/Source/VictoryBPLibrary/Public/VictoryGameMode.h(53) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  F:/Continuity Latest 48/Plugins/VictoryPlugin/Source/VictoryBPLibrary/Public/VictoryGameMode.h(69) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  F:/Continuity Latest 48/Plugins/VictoryPlugin/Source/VictoryBPLibrary/Public/VictoryPC.h(27) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  Reflection code generated for ContinuityEditor
1>  Performing 47 actions (3 in parallel)
1>  PCH.OceanPluginPrivatePCH.h.cpp
1>  PCH.VictoryEdEnginePCH.h.cpp
1>  PCH.VictoryBPLibraryPrivatePCH.h.cpp
1>  PCH.Continuity.h.cpp
1>  VictoryBPLibrary.generated.cpp
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Public/VictoryGameMode.h(38): error C3668: 'AVictoryGameMode::FindPlayerStart' : method with override specifier 'override' did not override any base class methods
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Public/VictoryGameMode.h(55): error C3668: 'AVictoryGameMode::ChoosePlayerStart' : method with override specifier 'override' did not override any base class methods
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Public/VictoryGameMode.h(71): error C3668: 'AVictoryGameMode::PlayerCanRestart' : method with override specifier 'override' did not override any base class methods
1>  VictoryPC.cpp
1>  TKMathFunctionLibrary.cpp
1>  VictoryBPFunctionLibrary.cpp
1>  VictoryEdEngine.cpp
1>C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Slate\Public\Slate.h(5): warning C4996: including Slate.h is deprecated. Please include SlateBasics.h and then individual widget headers instead.
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(788): warning C4996: 'UEngine::GetAudioDevice': GetAudioDevice is deprecated UEngine::GetMainAudioDevice instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/Engine.h(2056) : see declaration of 'UEngine::GetAudioDevice'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(1109): warning C4996: 'StaticConstructObject': StaticConstructObject is deprecated, please use NewObject instead. For internal CoreUObject module usage, please use StaticConstructObject_Internal. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          c:\program files\epic games\4.8\engine\source\runtime\coreuobject\public\uobject\UObjectGlobals.h(212) : see declaration of 'StaticConstructObject'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(1126): warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\CoreUObject\Public\UObject\Class.h(2717) : see declaration of 'ConstructObject'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(2451): warning C4996: 'UWorld::LineTraceSingle': Use LineTraceSingleByChannel instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/World.h(1145) : see declaration of 'UWorld::LineTraceSingle'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(2527): warning C4996: 'UWorld::LineTraceSingle': Use LineTraceSingleByChannel instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/World.h(1145) : see declaration of 'UWorld::LineTraceSingle'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(3778): warning C4996: 'StaticConstructObject': StaticConstructObject is deprecated, please use NewObject instead. For internal CoreUObject module usage, please use StaticConstructObject_Internal. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          c:\program files\epic games\4.8\engine\source\runtime\coreuobject\public\uobject\UObjectGlobals.h(212) : see declaration of 'StaticConstructObject'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(3831): warning C4996: 'UEngine::GetAudioDevice': GetAudioDevice is deprecated UEngine::GetMainAudioDevice instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/Engine.h(2056) : see declaration of 'UEngine::GetAudioDevice'
1>  VictoryEdEngine.generated.cpp
1>  VictoryEdAlignMode.cpp
1>  JoyISM.cpp
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryEdEngine\Private\VictoryEdAlignMode.cpp(490): warning C4996: 'UWorld::LineTraceSingle': Use LineTraceSingleByChannel instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/World.h(1145) : see declaration of 'UWorld::LineTraceSingle'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryEdEngine\Private\VictoryEdAlignMode.cpp(859): warning C4996: 'UWorld::LineTraceSingle': Use LineTraceSingleByChannel instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/World.h(1145) : see declaration of 'UWorld::LineTraceSingle'
1>  VictoryEdEngineModule.cpp
1>  VictoryGameMode.cpp
1>f:\continuity latest 48\plugins\victoryplugin\source\victorybplibrary\public\VictoryGameMode.h(38): error C3668: 'AVictoryGameMode::FindPlayerStart' : method with override specifier 'override' did not override any base class methods
1>f:\continuity latest 48\plugins\victoryplugin\source\victorybplibrary\public\VictoryGameMode.h(55): error C3668: 'AVictoryGameMode::ChoosePlayerStart' : method with override specifier 'override' did not override any base class methods
1>f:\continuity latest 48\plugins\victoryplugin\source\victorybplibrary\public\VictoryGameMode.h(71): error C3668: 'AVictoryGameMode::PlayerCanRestart' : method with override specifier 'override' did not override any base class methods
1>  VictoryTMapComp.cpp
1>  VictoryBPLibraryModule.cpp
1>  VictoryISM.cpp
1>  OceanPlugin.generated.cpp
1>  CustomVehicleController.cpp
1>  ProceduralTerrain.cpp
1>F:\Continuity Latest 48\Plugins\OceanPlugin\Source\OceanPlugin\Private\Terrain\ProceduralTerrain.cpp(95): warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\CoreUObject\Public\UObject\Class.h(2717) : see declaration of 'ConstructObject'
1>F:\Continuity Latest 48\Plugins\OceanPlugin\Source\OceanPlugin\Private\Terrain\ProceduralTerrain.cpp(143): warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\CoreUObject\Public\UObject\Class.h(2717) : see declaration of 'ConstructObject'
1>  TerrainGenerationWorker.cpp
1>F:\Continuity Latest 48\Plugins\OceanPlugin\Source\OceanPlugin\Private\Terrain\TerrainGenerationWorker.cpp(31): warning C4996: 'FRunnableThread::Create': Function deprecated. Use FRunnableThread::Create without bAutoDeleteSelf and bAutoDeleteRunnable params and delete thread and runnable manually. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Core\Public\HAL\ThreadingBase.h(256) : see declaration of 'FRunnableThread::Create'
1>  BuoyantDestructible.cpp
1>  FlockFish.cpp
1>F:\Continuity Latest 48\Plugins\OceanPlugin\Source\OceanPlugin\Private\Fish\FlockFish.cpp(110): warning C4996: 'UWorld::LineTraceSingle': Use LineTraceSingleByChannel instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/World.h(1145) : see declaration of 'UWorld::LineTraceSingle'
1>  FishManager.cpp
1>  FishState.cpp
1>  MarchingCubes.cpp
1>  BuoyancyForceComponent.cpp
1>  BuoyancyComponent.cpp
1>  TerrainMeshComponent.cpp
1>  Noise.cpp
1>F:\Continuity Latest 48\Plugins\OceanPlugin\Source\OceanPlugin\Private\Terrain\TerrainMeshComponent.cpp(342): warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\CoreUObject\Public\UObject\Class.h(2717) : see declaration of 'ConstructObject'
1>  CustomFunctionLibrary.cpp
1>  OceanManager.cpp
1>  OceanPlugin.cpp
1>  SimplexNoise.cpp
1>  [35/47] Resource ModuleVersionResource.rc.inl
1>  [36/47] Resource ModuleVersionResource.rc.inl
1>  [37/47] Resource PCLaunch.rc
1>  [38/47] Resource PCLaunch.rc
1>  [39/47] Resource PCLaunch.rc
1>  [40/47] Resource ModuleVersionResource.rc.inl
1>  [41/47] Resource ModuleVersionResource.rc.inl
1>  [42/47] Resource Continuity.rc
1>  [43/47] Link UE4Editor-OceanPlugin.dll
1>  [44/47] Link UE4Editor-VictoryEdEngine.dll
1>     Creating library F:\Continuity Latest 48\Plugins\VictoryPlugin\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-VictoryEdEngine.lib and object F:\Continuity Latest 48\Plugins\VictoryPlugin\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-VictoryEdEngine.exp
1>     Creating library F:\Continuity Latest 48\Plugins\OceanPlugin\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-OceanPlugin.lib and object F:\Continuity Latest 48\Plugins\OceanPlugin\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-OceanPlugin.exp
1>  Continuity.cpp
1>  [46/47] Link UE4Editor-Continuity.dll
1>     Creating library F:\Continuity Latest 48\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-Continuity.lib and object F:\Continuity Latest 48\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-Continuity.exp
1>  -------- End Detailed Actions Stats -----------------------------------------------------------
1>ERROR : UBT error : Failed to produce item: F:\Continuity Latest 48\Plugins\VictoryPlugin\Binaries\Win64\UE4Editor-VictoryBPLibrary.dll
1>  Total build time: 92.54 seconds
1>C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V120\Microsoft.MakeFile.Targets(43,5): error MSB3075: The command ""C:\Program Files\Epic Games\4.8\Engine\Build\BatchFiles\Rebuild.bat" ContinuityEditor Win64 Development "F:\Continuity Latest 48\Continuity.uproject" -rocket" exited with code 5. Please verify that you have sufficient rights to run this command.
========== Rebuild All: 0 succeeded, 1 failed, 0 skipped ==========



When I set the gamemode’s header lines 38,55 & 71 to not be overridden no errors again. I think rama uploaded the wrong one accidently/the wiki screwed up/I’m having the same issue as others.

To fix generate project files, find VictorGameMode.h and in lines 38,55 and 71 just remove the “override” at the end of the statements. Dont remove the semicolon! Then right click on yourprojectname with the purple/white gears beside it in the soution explorer and "rebuild. "



1>------ Rebuild All started: Project: Continuity, Configuration: Development_Editor x64 ------
1>  Cleaning ContinuityEditor Binaries...
1>  Parsing headers for ContinuityEditor
1>  F:/Continuity Latest 48/Plugins/OceanPlugin/Source/OceanPlugin/Classes/CustomVehicleController.h(28) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  F:/Continuity Latest 48/Plugins/VictoryPlugin/Source/VictoryBPLibrary/Classes/VictoryBPFunctionLibrary.h(974) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  F:/Continuity Latest 48/Plugins/VictoryPlugin/Source/VictoryBPLibrary/Classes/VictoryBPFunctionLibrary.h(1201) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  F:/Continuity Latest 48/Plugins/VictoryPlugin/Source/VictoryBPLibrary/Public/VictoryGameMode.h(36) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  F:/Continuity Latest 48/Plugins/VictoryPlugin/Source/VictoryBPLibrary/Public/VictoryGameMode.h(53) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  F:/Continuity Latest 48/Plugins/VictoryPlugin/Source/VictoryBPLibrary/Public/VictoryGameMode.h(69) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  F:/Continuity Latest 48/Plugins/VictoryPlugin/Source/VictoryBPLibrary/Public/VictoryPC.h(27) : LogCompile:Error: Remapping old metadata key 'FriendlyName' to new key 'DisplayName', please update the declaration.
1>  Reflection code generated for ContinuityEditor
1>  Performing 47 actions (3 in parallel)
1>  PCH.OceanPluginPrivatePCH.h.cpp
1>  PCH.VictoryEdEnginePCH.h.cpp
1>  PCH.VictoryBPLibraryPrivatePCH.h.cpp
1>  PCH.Continuity.h.cpp
1>  VictoryBPLibrary.generated.cpp
1>  VictoryPC.cpp
1>  TKMathFunctionLibrary.cpp
1>  VictoryBPFunctionLibrary.cpp
1>  VictoryEdEngine.cpp
1>C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Slate\Public\Slate.h(5): warning C4996: including Slate.h is deprecated. Please include SlateBasics.h and then individual widget headers instead.
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(788): warning C4996: 'UEngine::GetAudioDevice': GetAudioDevice is deprecated UEngine::GetMainAudioDevice instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/Engine.h(2056) : see declaration of 'UEngine::GetAudioDevice'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(1109): warning C4996: 'StaticConstructObject': StaticConstructObject is deprecated, please use NewObject instead. For internal CoreUObject module usage, please use StaticConstructObject_Internal. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          c:\program files\epic games\4.8\engine\source\runtime\coreuobject\public\uobject\UObjectGlobals.h(212) : see declaration of 'StaticConstructObject'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(1126): warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\CoreUObject\Public\UObject\Class.h(2717) : see declaration of 'ConstructObject'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(2451): warning C4996: 'UWorld::LineTraceSingle': Use LineTraceSingleByChannel instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/World.h(1145) : see declaration of 'UWorld::LineTraceSingle'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(2527): warning C4996: 'UWorld::LineTraceSingle': Use LineTraceSingleByChannel instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/World.h(1145) : see declaration of 'UWorld::LineTraceSingle'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(3778): warning C4996: 'StaticConstructObject': StaticConstructObject is deprecated, please use NewObject instead. For internal CoreUObject module usage, please use StaticConstructObject_Internal. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          c:\program files\epic games\4.8\engine\source\runtime\coreuobject\public\uobject\UObjectGlobals.h(212) : see declaration of 'StaticConstructObject'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryBPLibrary\Private\VictoryBPFunctionLibrary.cpp(3831): warning C4996: 'UEngine::GetAudioDevice': GetAudioDevice is deprecated UEngine::GetMainAudioDevice instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/Engine.h(2056) : see declaration of 'UEngine::GetAudioDevice'
1>  VictoryEdEngine.generated.cpp
1>  VictoryEdAlignMode.cpp
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryEdEngine\Private\VictoryEdAlignMode.cpp(490): warning C4996: 'UWorld::LineTraceSingle': Use LineTraceSingleByChannel instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/World.h(1145) : see declaration of 'UWorld::LineTraceSingle'
1>F:\Continuity Latest 48\Plugins\VictoryPlugin\Source\VictoryEdEngine\Private\VictoryEdAlignMode.cpp(859): warning C4996: 'UWorld::LineTraceSingle': Use LineTraceSingleByChannel instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/World.h(1145) : see declaration of 'UWorld::LineTraceSingle'
1>  JoyISM.cpp
1>  VictoryEdEngineModule.cpp
1>  VictoryTMapComp.cpp
1>  VictoryGameMode.cpp
1>  VictoryBPLibraryModule.cpp
1>  VictoryISM.cpp
1>  OceanPlugin.generated.cpp
1>  CustomVehicleController.cpp
1>  TerrainGenerationWorker.cpp
1>  ProceduralTerrain.cpp
1>F:\Continuity Latest 48\Plugins\OceanPlugin\Source\OceanPlugin\Private\Terrain\TerrainGenerationWorker.cpp(31): warning C4996: 'FRunnableThread::Create': Function deprecated. Use FRunnableThread::Create without bAutoDeleteSelf and bAutoDeleteRunnable params and delete thread and runnable manually. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Core\Public\HAL\ThreadingBase.h(256) : see declaration of 'FRunnableThread::Create'
1>F:\Continuity Latest 48\Plugins\OceanPlugin\Source\OceanPlugin\Private\Terrain\ProceduralTerrain.cpp(95): warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\CoreUObject\Public\UObject\Class.h(2717) : see declaration of 'ConstructObject'
1>F:\Continuity Latest 48\Plugins\OceanPlugin\Source\OceanPlugin\Private\Terrain\ProceduralTerrain.cpp(143): warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\CoreUObject\Public\UObject\Class.h(2717) : see declaration of 'ConstructObject'
1>  BuoyantDestructible.cpp
1>  FlockFish.cpp
1>F:\Continuity Latest 48\Plugins\OceanPlugin\Source\OceanPlugin\Private\Fish\FlockFish.cpp(110): warning C4996: 'UWorld::LineTraceSingle': Use LineTraceSingleByChannel instead. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\Engine\Classes\Engine/World.h(1145) : see declaration of 'UWorld::LineTraceSingle'
1>  FishManager.cpp
1>  FishState.cpp
1>  MarchingCubes.cpp
1>  BuoyancyForceComponent.cpp
1>  BuoyancyComponent.cpp
1>  TerrainMeshComponent.cpp
1>F:\Continuity Latest 48\Plugins\OceanPlugin\Source\OceanPlugin\Private\Terrain\TerrainMeshComponent.cpp(342): warning C4996: 'ConstructObject': ConstructObject is deprecated. Use NewObject instead Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
1>          C:\Program Files\Epic Games\4.8\Engine\Source\Runtime\CoreUObject\Public\UObject\Class.h(2717) : see declaration of 'ConstructObject'
1>  Noise.cpp
1>  CustomFunctionLibrary.cpp
1>  OceanManager.cpp
1>  OceanPlugin.cpp
1>  SimplexNoise.cpp
1>  [35/47] Resource ModuleVersionResource.rc.inl
1>  [36/47] Resource ModuleVersionResource.rc.inl
1>  [37/47] Resource PCLaunch.rc
1>  [38/47] Resource PCLaunch.rc
1>  [39/47] Resource PCLaunch.rc
1>  [40/47] Resource ModuleVersionResource.rc.inl
1>  [41/47] Resource ModuleVersionResource.rc.inl
1>  [42/47] Resource Continuity.rc
1>  [43/47] Link UE4Editor-OceanPlugin.dll
1>     Creating library F:\Continuity Latest 48\Plugins\OceanPlugin\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-OceanPlugin.lib and object F:\Continuity Latest 48\Plugins\OceanPlugin\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-OceanPlugin.exp
1>  [44/47] Link UE4Editor-VictoryBPLibrary.dll
1>     Creating library F:\Continuity Latest 48\Plugins\VictoryPlugin\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-VictoryBPLibrary.lib and object F:\Continuity Latest 48\Plugins\VictoryPlugin\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-VictoryBPLibrary.exp
1>  [45/47] Link UE4Editor-VictoryEdEngine.dll
1>     Creating library F:\Continuity Latest 48\Plugins\VictoryPlugin\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-VictoryEdEngine.lib and object F:\Continuity Latest 48\Plugins\VictoryPlugin\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-VictoryEdEngine.exp
1>  Continuity.cpp
1>  [47/47] Link UE4Editor-Continuity.dll
1>     Creating library F:\Continuity Latest 48\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-Continuity.lib and object F:\Continuity Latest 48\Intermediate/Build/Win64\UE4Editor\Development\UE4Editor-Continuity.exp
1>  -------- End Detailed Actions Stats -----------------------------------------------------------
1>  Total build time: 88.35 seconds
========== Rebuild All: 1 succeeded, 0 failed, 0 skipped ==========


Now if your working in BP only, you can delete all intermediate folders to get rid of the precompiled header files that just added 1.5+ gigs to your project and it should open just fine.

Hi Nsomnia, it worked perfectly for me, but I’m a weird case in that I don’t actually implement any of Rama’s blueprint nodes.

Yeah I dont use any in my BP’s at the moment on that specific project either. Weird situation.

Great to hear from you Nsomnia and thanks for helping out in the thread!

I’ve just compiled a new version and we’ll see if that works well for everyone!

Rama

4.8 Again

Dear Community,

It sounds like the version that got uploaded on June 10th was not the version I upgraded to 4.8, because I fixed all the compiler errors that Nsomnia posted here (thanks for helping out Nsomnia!)


**4.8 Upload, June 11th**

****I've uploaded my plugin again for the 4.8 build!****

I am definitely using the release version of 4.8, not a custom engine build.

Let me know how it goes!

**Latest plugin download is here: (about 8 mb) **

Enjoy!

:slight_smile:

Rama

HasSubstring, returns whether one string is a substring of another!


(as of 6/11/15)

Dear Community,

I’ve made a new BP node for you!

HasSubstring compliments the functionality of FindSubstring.

FinsSubstring requires more inputs and returns an index within the source string.

My node, HasSubstring, requires only 1 input and only returns whether or not the supplied substring is in the source string.

I use the C++ version of HasSubstring all the time so I felt you would all enjoy having it in BP as well!


**Example Usage ~ Search Feature**

If you wanted to make a string-based search feature, that iterated over the contents of a list of UMG Texts, you can take the user's supplied search string and use my **HasSubstring **node to find all the UMG Text widgets that contain the user's supplied search string.

**Latest plugin download is here: (about 8 mb) **

Enjoy!

:slight_smile:

Rama

I still get this error even with your new upload.

MainFrameActions: Packaging (Windows (64-bit)): UnrealBuildTool: [11/12] Link UE4-VictoryBPLibrary.lib
MainFrameActions: Packaging (Windows (64-bit)): UnrealBuildTool: [12/12] Link Project542352352.exe
MainFrameActions: Packaging (Windows (64-bit)): UnrealBuildTool: LINK : fatal error LNK1181: cannot open input file ‘C:\Program Files\Unreal Engine\4.8\Engine\Intermediate\Build\Win64\UE4\Development\Launch\PCLaunch.rc.res’

Amazing work

Are you sure your in development or debug game for your solution configuration?

I’ve had issues with anti-virus/anti-malware in 4.8 with compiling a couple projects and heard similar.

The has substring node will be great! Mix it up with Get display name or get class -> get display name and you have a very powerful search ability/way to build logic based off classes in an inventory/crafting/equip system.

@Tekopper

This error seems related to packaging?

Are you trying to package the game when this occurs?

Is your project BP-only?


**I Did a BP-Only Packaging Just Fine**

1. I just made a BP-only game, third person template, 
2. Copy and pasted my plugin into the project-level plugsin directory, 
3. and packaged with no issues! (I did have Full Rebuld checked)

Potential Solution:

When you package, make sure you do a full rebuild each time!

File -> Package Project -> Build Settings -> Full Rebuld



MainFrameActions: Packaging (Windows (64-bit)): UnrealBuildTool: [11/12] Link UE4-VictoryBPLibrary.lib
MainFrameActions: Packaging (Windows (64-bit)): UnrealBuildTool: [12/12] Link Project542352352.exe
MainFrameActions: Packaging (Windows (64-bit)): UnrealBuildTool: LINK : fatal error LNK1181: cannot open input file 'C:\Program Files\Unreal Engine\4.8\Engine\Intermediate\Build\Win64\UE4\Development\Launch\PCLaunch.rc.res'


_


Great to hear from you tjaunreal!

Yay! I’m glad you like my new HasSubstring node Nsomnia!

:slight_smile:

Rama

Hi Rama,

As I mentioned before, I got the June 10th update working, but the one from the 11th appears to be the same file as the one from the 10th. The folders are exactly the same size, down to the byte. Also, do you know why the new uploads aren’t showing on the main list? (I have to delve into the file history for them to show up: http://puu.sh/ilHXw/9ee6014696.png )

Anyway, thanks for the repeated updates and communication, we <3 you!

Wiki Download Page Issues

Dear Anaklu,

That’s really odd!

Here’s what I see

503ba7f9cdf32d8c7ce2b55d2f230ca5491ffefa.jpeg

Here’s what Community Member Anaklu sees

http://puu.sh/ilHXw/9ee6014696.png

Epic can you fix this somehow?

This explains why people are saying my 4.8 upload is updated for some and others say it is not updated!

Thanks!


**Here's the link to the wiki page in question**
https://wiki.unrealengine.com/File:VictoryPlugin.zip

:)

Rama

Media Fire Download That Is Up To Date

Dear Community,

Until the issue with the wiki download system is resolved, I’ve put the latest version of my plugin up on MediaFire!

You can ensure you have the latest version by using this download link!

Please note clicking this link will not start a download instantly, it will just take you to the Media Fire file.

Victory Plugin on Media Fire
(6/11/15 build from Wiki, 7.91 mb)


**Epic Wiki Link**

**Latest plugin download is here: (7.91 mb) **
https://wiki.unrealengine.com/File:VictoryPlugin.zip


Enjoy!

Rama

Thanks Rama! Downloaded and updated to the newest version. Man, that made me feel like a crazy person. Glad it’s all figured out now :slight_smile:

Hi I can confirm I was seeing the same thing. I will try the new link.

Thanks

Yeah Rama it’s blueprint/content-only project with full rebuild on, I got the same error on a new project. But it only happens when I’ve got your plugin enabled. I even tried reinstalling 4.8 and tried a new project again, same thing.

Edit: Appears I’m not alone with that link error. Packaging is failing in 4.8 - UE4 AnswerHub

Hey quick question, I’m installing the plugin step by step but it just doesn’t work in the editor. It shows up on the plugin list, it’s enabled, config line is added, editor restarted… I tried it on different computers, same effect, cannot find any errors etc.
I used an older version of VP couple builds ago and it worked fine. Thanks for any advice!

The june 11th 7.91mb version shows up fine on the website, and loads/runs/etc. just fine in both C++ and BP based new and old projects for me.

As to the linking errors. I only got those when I had bad code as in errors, and to the response on that thread “I disabled the substance plugin” I have the 4.8 substance-ue4 plugin installed in all my projects :S

I guess the wiki link was still broken when I downloaded it or something, tried it now with the mediafire link and it compiles fine.

Just tested downloading the 11th june 7.91mb version from the wiki and from the mediafire and the mediafire one appears to be newer then the wiki one, it’s files are bigger and have newer dates then the wiki one.

Edit: Just tried it again with both links on new projects and now I suddenly can’t get it to work again.

Edit2: Found out that if I verify my 4.8 version I can package new projects until I attempt to package my 4.7.6 project which somehow breaks it for all projects.